Subject: All OMAP platforms: MMC is broken

From: [email-masked] (Tony Lindgren)
Date: Wed, 7 Oct 2015 08:52:06 -0700

* Ulf Hansson <[email-masked]> [151007 06:46]:
> On 7 October 2015 at 15:26, Tony Lindgren <[email-masked]> wrote:
> >> > Good idea, how about something like the following? AFAIK that's the
> >> > only .config option needed as MFD_SYSCON is selected by Kconfig
> >> > already.
> 
> Similar to MFD_SYSCON, why don't we have REGULATOR_PBIAS to be
> selected when omap_hsmmc is being used?
> 
> It seems like that should also be a patch for the rc, right!?

Well selecting CONFIG_REGULATOR is still optional and force selecting
drivers usually leads into randconfig build issues sooner or later.
And we'd like to make everything into loadable modules eventually.

We could print a warning during MMC1 probe if REGULATOR_PBIAS
is not selected and attempt to continue probing?

Regards,

Tony